Plugin error from dada2:

Hi,

I am trying to analyze my 16S sequence data with q2. I am running a virtual linux machine with q2 installed. I managed to create my demux-paired-end.qza file (approx 6gb in size). I tried running the dada2 filtering command:

qiime dada2 denoise-paired \
  --i-demultiplexed-seqs demux-paired-end.qza \
  --o-table table \
  --o-representative-sequences rep-seqs \
  --p-trim-left-f 0 \
  --p-trim-left-r 0 \
  --p-trunc-len-f 180 \
  --p-trunc-len-r 180

and received this error: Plugin error from dada2:

  An error was encountered while running DADA2 in R (return code 1),
  please inspect stdout and stderr to learn more.

The log file details:

[email protected]:~/Desktop/python$ cat /tmp/qiime2-q2cli-err-geh0b0_b.log
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmp7u5wc0nr/forward /tmp/tmp7u5wc0nr/reverse /tmp/tmp7u5wc0nr/output.tsv.biom /tmp/tmp7u5wc0nr/filt_f /tmp/tmp7u5wc0nr/filt_r 150 150 0 0 2.0 2 consensus 1.0 1 1000000

R version 3.3.1 (2016-06-21) 
Loading required package: Rcpp
Warning messages:
1: multiple methods tables found for \u2018arbind\u2019 
2: multiple methods tables found for \u2018acbind\u2019 
3: replacing previous import \u2018IRanges::arbind\u2019 by \u2018SummarizedExperiment::arbind\u2019 when loading \u2018GenomicAlignments\u2019 
4: replacing previous import \u2018IRanges::acbind\u2019 by \u2018SummarizedExperiment::acbind\u2019 when loading \u2018GenomicAlignments\u2019 
5: multiple methods tables found for \u2018left\u2019 
6: multiple methods tables found for \u2018right\u2019 
DADA2 R package version: 1.4.0 
1) Filtering .Error in writeFastq(fqF, fout[[1]], "w", compress = compress) : 
  failed to write record 10555
Execution halted
Traceback (most recent call last):
  File "/home/paperspace/miniconda2/envs/qiime2-2017.8/lib/python3.5/site-packages/q2_dada2/_denoise.py", line 179, in denoise_paired
    run_commands([cmd])
  File "/home/paperspace/miniconda2/envs/qiime2-2017.8/lib/python3.5/site-packages/q2_dada2/_denoise.py", line 35, in run_commands
    subprocess.run(cmd, check=True)
  File "/home/paperspace/miniconda2/envs/qiime2-2017.8/lib/python3.5/subprocess.py", line 398, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['run_dada_paired.R', '/tmp/tmp7u5wc0nr/forward', '/tmp/tmp7u5wc0nr/reverse', '/tmp/tmp7u5wc0nr/output.tsv.biom', '/tmp/tmp7u5wc0nr/filt_f', '/tmp/tmp7u5wc0nr/filt_r', '150', '150', '0', '0', '2.0', '2', 'consensus', '1.0', '1', '1000000']' returned non-zero exit status 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/paperspace/miniconda2/envs/qiime2-2017.8/lib/python3.5/site-packages/q2cli/commands.py", line 222, in __call__
    results = action(**arguments)
  File "<decorator-gen-152>", line 2, in denoise_paired
  File "/home/paperspace/miniconda2/envs/qiime2-2017.8/lib/python3.5/site-packages/qiime2/sdk/action.py", line 201, in callable_wrapper
    output_types, provenance)
  File "/home/paperspace/miniconda2/envs/qiime2-2017.8/lib/python3.5/site-packages/qiime2/sdk/action.py", line 334, in _callable_executor_
    output_views = callable(**view_args)
  File "/home/paperspace/miniconda2/envs/qiime2-2017.8/lib/python3.5/site-packages/q2_dada2/_denoise.py", line 194, in denoise_paired
    " and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Can you provide some advice please?

Hi @sbudree! This is a bummer! It looks like DADA2 wasn’t able to write files while it was processing your data. Can you provide some more detail about your execution environment?

  1. Are files being read from or saved to an external or networked hard drive?
  2. It looks like /tmp is your temporary directory. Does that have the right permissions for your user account to read and write to? If it is a mounted block, is there sufficient space to save the data that DADA2 is attempting to write?

Thanks!! :t_rex:

Good Afternoon!

It seems that I have run into a similar error, and have included my code below, the error file, and can share the demux.qzv file in a private message if requested.

I am running this code on a server that has 2017.8 installed on it, and 64 GB of RAM allotted to it. As far as I know, I have both read and write access to the /tmp folder, and I should be able to save 15 GB worth of data to that folder (although I am currently talking with one of the system administrators to confirm this at the moment).

While communicating with the systems administrator, they did ask if it would be possible to designate where the /tmp folder is where DADA2 is reading and writing files to, so information on that would be very useful too!

Error output.txt (2.8 KB)
QIIME 2 Protocol.txt (536 Bytes)

Thank you for all of the help!
Sirtaj Singh

Thanks @Sirtaj-Singh!

There is an environment variable you can use to override the temporary directory that QIIME 2 will use at runtime - please check out this post and let us know how it goes for you!

Thanks!

1 Like

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.